<?php
include("../init.php");
?>
<div class="CurrentlySoldOut">
	<script type="text/javascript">
		function loadingAjax(obj,msg,float){
			float = float || 'left';
			msg = msg || "Carregando...";
			if (document.getElementById(obj)){
				document.getElementById(obj).innerHTML = "<div style='float:"+float+";'><font color=\'#000000\' face='Trebuchet MS, Arial' size=2>"+msg+"</font></div>";
			}
		}
		function salvaNotificaoProduto(id){
				var notifica_nome = document.getElementById("notifica_nome").value;
				var notifica_email = document.getElementById("notifica_email").value;
				if (notifica_nome.length < 2 ) { swal("Informe o seu Nome."); document.getElementById("notifica_nome").focus(); }
				else if (notifica_email.length < 5 ) { swal("Informe o seu Email."); document.getElementById("notifica_email").focus();  }
				else {
				loadingAjax("notificao_produto","Aguarde...");
				$.post('<?php echo GetConfig("ShopPath");?>/modificacoes/salvaestoque.php',
					{ id_produto : id, nome : notifica_nome, email: notifica_email, variacao: <?php echo (int)$_REQUEST['variacao'];?> },
						function(resposta){ 
							if (resposta!=""){
	                        document.getElementById("notificao_produto").innerHTML = resposta;
							}
						}
					);
				}
		}
	</script>
	<div id="produtoEsgotado">
		<div class=" col-xs-12 col-sm-12 box-esgotado">
		    Esgotado! Já vendemos todo o estoque!
		</div>

		<div class=" col-xs-12 col-sm-12 text-box-esgotado colzero">
		    <strong>Avise-me Quando Chegar.</strong>
		    <p>Por enquanto esse produto não está disponível.</p>
		     <div id="notificao_produto"></div>
		</div>
	</div> 
	<div class="form-row">
		<div class="form-group col-md-6">
		  <label for="inputEmail4">Nome</label>
		  <input type="text" class="form-control" id="notifica_nome" name="notifica_nome" placeholder="Nome" required>
		</div>
		<div class="form-group col-md-6">
		  <label for="inputPassword4">Email</label>
		  <input type="text" class="form-control" name="notifica_email" id="notifica_email" placeholder="Email" required>
		</div>
		<button type="button" class="btn btn-primary btn-lg btn-block" onclick="salvaNotificaoProduto(<?php echo (int)$_REQUEST['produto'];?>);">Enviar</button>
	</div>
</div>